summaryrefslogtreecommitdiff
path: root/config/bspwm/bspwmrc
diff options
context:
space:
mode:
authorcoasteen <coasteen@proton.me>2026-07-09 10:42:28 +0330
committercoasteen <coasteen@proton.me>2026-07-09 10:42:28 +0330
commit8cbadb61604667b407b53ee1258433994fa4765a (patch)
tree97765fb29418fd6278fcb4cbb9760893afaf7a58 /config/bspwm/bspwmrc
Diffstat (limited to 'config/bspwm/bspwmrc')
-rwxr-xr-xconfig/bspwm/bspwmrc82
1 files changed, 82 insertions, 0 deletions
diff --git a/config/bspwm/bspwmrc b/config/bspwm/bspwmrc
new file mode 100755
index 0000000..e4a1ca9
--- /dev/null
+++ b/config/bspwm/bspwmrc
@@ -0,0 +1,82 @@
+#!/bin/sh
+# my bspwmrc
+
+# desktops
+bspc monitor -d I II III IV V VI VII VIII IX X
+
+# borders
+bspc config focused_border_color "#383838"
+bspc config normal_border_color "#282828"
+bspc config border_width 2
+
+# layout
+bspc config window_gap 10
+bspc config split_ratio 0.5
+bspc config smart_gap true
+
+# focus behavior
+bspc config focus_follows_pointer true
+bspc config click_to_focus false
+bspc config pointer_follows_monitor true
+
+# monitor / window behavior
+bspc config remove_disabled_monitors true
+bspc config auto_cancel true
+bspc config auto_alternate true
+
+# padding
+bspc config bottom_padding 0
+
+
+### {{{ find and stop processes
+
+pidb() {
+ pgrep -x "$1" >/dev/null 2>&1
+}
+
+run() {
+ proc="$1"
+ cmd="$2"
+
+ if ! pidb "$proc"; then
+ sh -c "$cmd" &
+ fi
+}
+
+### }}}
+
+
+### {{{ rerun/start processes
+
+# piss
+run "piss" "piss"
+
+# picom
+run "picom" "picom --backend glx"
+
+# dunst
+run "dunst" "dunst"
+
+# bspbar
+run "bspbar" "bspbar"
+
+# polkit gnome
+run "polkit-gnome-authentication-agent-1" \
+ "/usr/libexec/polkit-gnome-authentication-agent-1"
+
+# xsettingsd
+run "xsettingsd" "xsettingsd"
+
+# pulseaudio
+run "pulseaudio" "pulseaudio --start"
+
+# pipewire
+run "pipewire" "pipewire"
+
+# xtkhd
+run "xtkhd" "xtkhd"
+
+xrandr --output eDP-1 --off
+hsetroot -center "$HOME/Downloads/wall4.png"
+
+### }}}